import request from '@/config/axios'

// 供应商核心产品 VO
export interface CoreProductVO {
  id: number // 主键
  supplierId: number // 供应商id
  supplierName: string
  productId: number // 产品id
  productName: string // 产品名称
  advantage: string // 优势介绍
}

// 供应商核心产品 API
export const CoreProductApi = {
  // 查询供应商核心产品分页
  getCoreProductPage: async (params: any) => {
    return await request.get({ url: `/supplier/core-product/page`, params })
  },

  // 查询供应商核心产品详情
  getCoreProduct: async (id: number) => {
    return await request.get({ url: `/supplier/core-product/get?id=` + id })
  },

  // 新增供应商核心产品
  createCoreProduct: async (data: CoreProductVO) => {
    return await request.post({ url: `/supplier/core-product/create`, data })
  },

  // 修改供应商核心产品
  updateCoreProduct: async (data: CoreProductVO) => {
    return await request.put({ url: `/supplier/core-product/update`, data })
  },

  // 删除供应商核心产品
  deleteCoreProduct: async (id: number) => {
    return await request.delete({ url: `/supplier/core-product/delete?id=` + id })
  },

  // 导出供应商核心产品 Excel
  exportCoreProduct: async (params) => {
    return await request.download({ url: `/supplier/core-product/export-excel`, params })
  },
}
